#include <bits/stdc++.h>
using namespace std;
int mat[1067][1067];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int t, n, m;
    cin >> t;
    while(t--){
        cin >> n >> m;
        if(n!=m) {
            cout << -1 << endl;
            continue;
        }
       for(int i = 1; i<=n; i++){
            for(int j = 1; j<=n; j++){
                mat[i][j]++;
            }
        }
        int br = n-1;
        for(int i = 2; i<=n; i++){
            for(int j = 2; j<=br; j++){
                mat[i][j] = 0;
            }
            br--;
        }

        /// ispis
        for(int i = 1; i<=n; i++){
            for(int j = 1; j<=n; j++){
                cout << mat[i][j]<< " ";
            }
            cout << endl;
        }

    }
    return 0;
}